LinkLoopException (Java SE 9 & JDK 9 )
Keywords: javax.naming.LinkLoopException class

Module java.naming
Package javax.naming

## Class LinkLoopException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.LinkException
        - - javax.naming.LinkLoopException

- All Implemented Interfaces:
    `Serializable`

      public class LinkLoopException
      extends LinkException

  This exception is thrown when a loop was detected while attempting to resolve a link, or an implementation specific limit on link counts has been reached.

  Synchronization and serialization issues that apply to LinkException apply directly here.

  Since:
    1.3
  See Also:
    `LinkRef`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.LinkException

      `linkExplanation, linkRemainingName, linkResolvedName, linkResolvedObj`

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkLoopException​()` | Constructs a new instance of LinkLoopException.
    `LinkLoopException​(String explanation)` | Constructs a new instance of LinkLoopException with an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.LinkException

      `getLinkExplanation, getLinkRemainingName, getLinkResolvedName, getLinkResolvedObj, setLinkExplanation, setLinkRemainingName, setLinkResolvedName, setLinkResolvedObj, toString, toString`

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### LinkLoopException

          public LinkLoopException​(String explanation)

      Constructs a new instance of LinkLoopException with an explanation. All the other fields are initialized to null.
      Parameters:
        `explanation` - A possibly null string containing additional detail about this exception.
      See Also:
        `Throwable.getMessage()`

    - #### LinkLoopException

          public LinkLoopException​()

      Constructs a new instance of LinkLoopException. All the non-link-related and link-related fields are initialized to null.